const {
    Card,
    CardHeader,
    CardContent,
    FormControl,
    FormLabel,
    TextField,
    Button
} = window['material-ui'];

class RegisterForm extends React.Component{
    state = {
        isValidUsername: false,
        isValidPassword: false,
        username: "",
        password: "",
        errorsMessage: ""
    };

    handleChangeUsername = event => {
        this.setState({
            username: event.target.value,
            isValidUsername: (event.target.value.length > 4)
        });
    };

    handleChangePassword = event => {
        this.setState({
            password: event.target.value,
            isValidPassword: (event.target.value.length > 4)
        });
    };

    handleSubmit = loginForm => () => {
        if (loginForm.state.isValidUsername && loginForm.state.isValidPassword){
            $.post(
                "/api/1.0/users/register",
                loginForm.state,
                this.handleResponseAjaxPost(loginForm)("success")
            ).fail(this.handleResponseAjaxPost(loginForm)("error"));
        }
    };

    handleResponseAjaxPost = loginForm => status => response => {
        if (status === "success"){
            window.location.href = "/index";
            loginForm.setState({
                errorsMessage: ""
            });
        } else if (status === "error"){
            loginForm.setState({
                errorsMessage: response.responseText,
                password: "",
                isValidPassword: false
            })
        }
    };

    render(){
        return <div> </div>;
    }
}